import { createRouter, createWebHistory } from "vue-router";
import Faq from "../components/FaqPage.vue";
import CourseSelection from "../components/CourseSelection.vue";
import AdditionalModules from "../components/AdditionalModules.vue";
import CalendarLink from "../components/CalendarLink.vue";
import Imprint from "../components/ImprintPage.vue";
import PrivacyPolicy from "../components/PrivacyPolicy.vue";
import RenameModules from "../components/RenameModules.vue";
import EditCalendarView from "../view/editCalendarView.vue";
import EditAdditionalModules from "../components/editCalendar/EditAdditionalModules.vue";
import EditModules from "../components/editCalendar/EditModules.vue";

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: "/",
      name: "course-selection",
      component: CourseSelection,
    },
    {
      path: "/faq",
      name: "faq",
      component: Faq,
    },
    {
      path: "/additional-modules",
      name: "additional-modules",
      component: AdditionalModules,
    },
    {
      path: "/edit-additional-modules",
      name: "edit-additional-modules",
      component: EditAdditionalModules,
    },
    {
      path: "/edit-calendar",
      name: "edit-calendar",
      component: EditModules,
    },
    {
      path: "/calendar-link",
      name: "calendar-link",
      component: CalendarLink,
    },
    {
      path: "/edit",
      name: "edit",
      component: EditCalendarView,
    },
    {
      path: "/privacy-policy",
      name: "privacy-policy",
      component: PrivacyPolicy,
    },
    {
      path: "/imprint",
      name: "imprint",
      component: Imprint,
    },
    {
      path: "/rename-modules",
      name: "rename-modules",
      component: RenameModules,
    },
    {
      path: "/:catchAll(.*)",
      redirect: "/",
    },
  ],
});

export default router;
